Skip to main content
POST
/
api
/
v1
/
test-helpers
/
checkout-intents
/
{checkoutIntentId}
/
shipments
/
advance
JavaScript
import CheckoutIntents from 'checkout-intents';

const client = new CheckoutIntents({
  apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});

const response = await client.testHelpers.shipments.advance('checkoutIntentId');

console.log(response.shipment);
{
  "shipment": {
    "updatedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "marketplaceOrderId": "<string>",
    "checkoutIntentId": "<string>",
    "id": "<string>",
    "trackingEvents": [
      {
        "location": {
          "country": "<string>",
          "province": "<string>",
          "city": "<string>"
        },
        "timestamp": {
          "local": "<string>",
          "utc": "2023-11-07T05:31:56Z"
        },
        "description": "<string>"
      }
    ],
    "shippedAt": "2023-11-07T05:31:56Z",
    "tracking": {
      "number": "<string>",
      "carrierName": "<string>",
      "deliveryDate": {
        "estimated": "2023-11-07T05:31:56Z"
      },
      "url": "<string>"
    },
    "externalId": "<string>",
    "status": "shipped"
  }
}

Authorizations

Authorization
string
header
required

Rye API key

Path Parameters

checkoutIntentId
string
required

Response

200 - application/json

Ok

shipment
Shipped · object
required

Shipments that have tracking information (shipped, delayed, or delivered states)